using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Communication.GtdJson.Packs
{
    public class A10004GetSales:PackBase
    {
        public override string Action
        {
            get { return "getSales"; }
        }

        private int _lotId;
        /// <summary>
        /// 彩种ID
        /// </summary>
        public int LotId
        {
            get { return _lotId; }
            set { _lotId = value; }
        }

        private int _abbdate;
        public int AbbDate
        {
            get { return _abbdate; }
            set { _abbdate = value; }
        }

        public override void PackBody(Newtonsoft.Json.JsonWriter jsonWriter)
        {
            jsonWriter.WritePropertyName("lotId");
            jsonWriter.WriteValue(LotId);
            jsonWriter.WritePropertyName("abbdate");
            jsonWriter.WriteValue(AbbDate);
        }
    }
}
